body{
text-align: center;
}

h2{
	margin-top: 30px;
	margin-bottom:35px;
	margin-left:100px;
	margin-right:100px;
	background-color:khaki;
	padding: 1rem 2rem;
 	border-bottom: 3px solid #dcdcdc;
	border-left: 5px solid #000;
	background: #f4f4f4;
 	border-radius: 3px;
 	box-shadow: 0 0 8px rgba(0,0,0,.4);
 	text-align:center;
}

.btn {
  padding: 15px 40px;
  font-size: 16px;
  font-weight: 600;
  color: white;
  background: #00ced1;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease;
}
.btn::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 0;
  height: 0;
  border-radius: 50%;
  background: rgba(211, 222, 241, 0.5);
  transform: translate(-50%, -50%);
  transition: width 0.6s, height 0.6s;
}
.btn:hover::after {
  width: 300px;
  height: 300px;
}

.top-btn {
  position: fixed;
  bottom: 24px;
  right: 24px;
  width: 48px;
  height: 48px;
  text-decoration: none;
  background-color: #3399cc;
  display: block;
  text-align: center;
  border-radius: 24px;
  font-size: 35px;
  color: #ffffff;
}

.top-btn::before {
  font-weight: 900;
  line-height: 48px;
}

#modoru a {
    background: #eee;
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
    max-width: 240px;
    padding: 10px 25px;
    color: #6699cc;
    transition: 0.3s ease-in-out;
    font-weight: 500;
    z-index:0;
    border-left: solid 5px #6699cc;
    text-decoration: none
}
    
#modoru a:before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    width: 0;
    display: block;
    background: #6699cc;
    transition: .3s;
    left:0;
}
#modoru a:hover {
    color: #FFF;
}
#modoru a:hover:before {
    width: 100%;
    z-index: -1;
}